Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deRenderLight Class Reference

`#include <deRenderStates_priv.hpp>`

Inheritance diagram for deRenderLight:

[legend]
Collaboration diagram for deRenderLight:

[legend]
List of all members.

## Public Member Functions
| deRenderLight ()
IdeRenderState::Type | GetRSType () const
void * | GetRSInterface (IdeRenderState::Type type) const
deBoolean | SetLightType (LightType_t Type)
LightType_t | GetLightType () const
deBoolean | SetAmbientColor (deColor *AmbientColor)
deBoolean | GetAmbientColor (deColor *AmbientColor) const
deBoolean | SetDiffuseColor (deColor *DiffuseColor)
deBoolean | GetDiffuseColor (deColor *DiffuseColor) const
deBoolean | SetSpecularColor (deColor *SpecularColor)
deBoolean | GetSpecularColor (deColor *SpecularColor) const
deBoolean | SetPosition (deVertex *Position)
deBoolean | GetPosition (deVertex *Position) const
deBoolean | SetDirection (deVertex *Direction)
deBoolean | GetDirection (deVertex *Direction) const
deBoolean | SetRange (float MaxRange)
float | GetRange () const
deBoolean | SetFallOff (float FallOff)
float | GetFallOff () const
deBoolean | SetAttenuation (long Number, float Value)
float | GetAttenuation (long Number) const
deBoolean | SetTheta (float Theta)
float | GetTheta () const
deBoolean | SetPhi (float Phi)
float | GetPhi () const
deBoolean | SetID (long Number)
long | GetID () const
deBoolean | SetStatus (deBoolean On)
deBoolean | GetStatus () const
const LightData * | GetAllData () const
deBoolean | SetAllData (const LightData *Data)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
| ~deRenderLight ()
## Private Attributes
LightData | m_Data

## Constructor & Destructor Documentation

deRenderLight::~deRenderLight | ( |  | ) | `[protected]`

deRenderLight::deRenderLight | ( |  | ) |

## Member Function Documentation

const deRenderLight::LightData * deRenderLight::GetAllData | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::GetAmbientColor | ( | deColor * | AmbientColor | ) | const`[virtual]`

| Implements IdeRenderLight.

float deRenderLight::GetAttenuation | ( | long | Number | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::GetDiffuseColor | ( | deColor * | DiffuseColor | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::GetDirection | ( | deVertex * | Direction | ) | const`[virtual]`

| Implements IdeRenderLight.

float deRenderLight::GetFallOff | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

long deRenderLight::GetID | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

deRenderLight::LightType_t deRenderLight::GetLightType | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

float deRenderLight::GetPhi | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::GetPosition | ( | deVertex * | Position | ) | const`[virtual]`

| Implements IdeRenderLight.

float deRenderLight::GetRange | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

void * deRenderLight::GetRSInterface | ( | IdeRenderState::Type | type | ) | const`[virtual]`

| Implements IdeRenderState.

IdeRenderState::Type deRenderLight::GetRSType | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::GetSpecularColor | ( | deColor * | SpecularColor | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::GetStatus | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

float deRenderLight::GetTheta | ( |  | ) | const`[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetAllData | ( | const LightData * | Data | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetAmbientColor | ( | deColor * | AmbientColor | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetAttenuation | ( | long | Number,
|  | float | Value
| ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetDiffuseColor | ( | deColor * | DiffuseColor | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetDirection | ( | deVertex * | Direction | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetFallOff | ( | float | FallOff | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetID | ( | long | Number | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetLightType | ( | LightType_t | Type | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetPhi | ( | float | Phi | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetPosition | ( | deVertex * | Position | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetRange | ( | float | MaxRange | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetSpecularColor | ( | deColor * | SpecularColor | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetStatus | ( | deBoolean | On | ) | `[virtual]`

| Implements IdeRenderLight.

deBoolean deRenderLight::SetTheta | ( | float | Theta | ) | `[virtual]`

| Implements IdeRenderLight.

## Member Data Documentation

LightData deRenderLight::m_Data`[private]`

deRenderLight::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deRenderStates_priv.hpp
- RenderLight.cpp